Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSNotationDecl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XSNotationDecl

All Implemented Interfaces:
  XSNotationDeclaration, XSObject

public class XSNotationDecl
extends java.lang.Object
implements XSNotationDeclaration

The XML representation for a NOTATION declaration schema component is a global element information item

Version:
  $Id: XSNotationDecl.java,v 1.4 2003/01/14 20:21:45 elena Exp $
Author:
  Rahul Srivastava, Sun Microsystems Inc.

Field Summary
`java.lang.String` | `fName`
`java.lang.String` | `fPublicId`
`java.lang.String` | `fSystemId`
`java.lang.String` | `fTargetNamespace`

Constructor Summary
`XSNotationDecl()`

Method Summary
`XSAnnotation` | `getAnnotation()` Optional.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`XSNamespaceItem` | `getNamespaceItem()` A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
`java.lang.String` | `getPublicId()` Optional if {system identifier} is present.
`java.lang.String` | `getSystemId()` Optional if {public identifier} is present.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fName

    public java.lang.String fName

### fTargetNamespace

    public java.lang.String fTargetNamespace

### fPublicId

    public java.lang.String fPublicId

### fSystemId

    public java.lang.String fSystemId

Constructor Detail

### XSNotationDecl

    public XSNotationDecl()

Method Detail

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.
  Specified by:
    `getType` in interface `XSObject`

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.
  Specified by:
    `getName` in interface `XSObject`

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.
  Specified by:
    `getNamespace` in interface `XSObject`

### getSystemId

    public java.lang.String getSystemId()

  Optional if {public identifier} is present. A URI reference.
  Specified by:
    `getSystemId` in interface `XSNotationDeclaration`

### getPublicId

    public java.lang.String getPublicId()

  Optional if {system identifier} is present. A public identifier, as defined in [XML 1.0 (Second Edition)].
  Specified by:
    `getPublicId` in interface `XSNotationDeclaration`

### getAnnotation

    public XSAnnotation getAnnotation()

  Optional. Annotation.
  Specified by:
    `getAnnotation` in interface `XSNotationDeclaration`

### getNamespaceItem

    public XSNamespaceItem getNamespaceItem()

  Description copied from interface: `XSObject`
  A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
  Specified by:
    `getNamespaceItem` in interface `XSObject`
  See Also:
    `XSObject.getNamespaceItem()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.